# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

config etc/Nextcloud/sync-exclude.lst.new

# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi

# Update hicolor theme cache:
if [ -d usr/share/icons/hicolor ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  fi
fi

# Update the mime database:
if [ -x usr/bin/update-mime-database ]; then
  chroot . /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

( cd usr/lib64 ; rm -rf libnextcloud_csync.so )
( cd usr/lib64 ; ln -sf libnextcloud_csync.so.0 libnextcloud_csync.so )
( cd usr/lib64 ; rm -rf libnextcloud_csync.so.0 )
( cd usr/lib64 ; ln -sf libnextcloud_csync.so.3.6.2 libnextcloud_csync.so.0 )
( cd usr/lib64 ; rm -rf libnextcloudsync.so )
( cd usr/lib64 ; ln -sf libnextcloudsync.so.0 libnextcloudsync.so )
( cd usr/lib64 ; rm -rf libnextcloudsync.so.0 )
( cd usr/lib64 ; ln -sf libnextcloudsync.so.3.6.2 libnextcloudsync.so.0 )
